
GammaLib - Action #3439

Add GSkyModel::flux() method that returns correct flux for diffuse cube models

11/07/2020 12:15 PM - Knödlseder Jürgen

Status: Closed Start date: 11/07/2020

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Currently there is no method that computes correctly the flux for a diffuse cube model. flux() and eflux methods should be added to 

GSkyModel that correctly compute the flux for models where the integral over the spatial model is not unity. Variants should be

included that allow provision of a sky region:

double flux(const GEnergy& emin, const GEnergy& emax) const;

double flux(const GEnergy& emin, const GEnergy& emax, const GSkyRegion* region) const;

double eflux(const GEnergy& emin, const GEnergy& emax) const;

double eflux(const GEnergy& emin, const GEnergy& emax, const GSkyRegion* region) const;

Related issues:

Related to GammaLib - Bug # 3440: Make sure that the spatial model value or n... Closed 11/07/2020

Related to GammaLib - Feature # 3074: Add methods to calculate flux and energ... Closed 11/30/2019

History

#1 - 11/07/2020 03:38 PM - Knödlseder Jürgen

- Related to Bug #3440: Make sure that the spatial model value or normalisation is always taken correctly into account added

#2 - 11/07/2020 03:39 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 90

The methods were implemented. Note that the methods with the GSkyRegion argument (that is now the first of the three arguments) correctly takes

into account the normalisation factor of the spatial models, while this is not the case for the other methods.

I created issue #3440 to solve this issue before release 2.0.0.

#3 - 11/07/2020 04:20 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Code merged into devel.

#4 - 11/08/2020 11:08 AM - Knödlseder Jürgen

- Related to Feature #3074: Add methods to calculate flux and energy flux errors from model parameter errors added
